"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetEventSelectorsInput_1 = require("../shapes/GetEventSelectorsInput");
var GetEventSelectorsOutput_1 = require("../shapes/GetEventSelectorsOutput");
var TrailNotFoundException_1 = require("../shapes/TrailNotFoundException");
var InvalidTrailNameException_1 = require("../shapes/InvalidTrailNameException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetEventSelectors = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetEventSelectors",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetEventSelectorsInput_1.GetEventSelectorsInput
    },
    output: {
        shape: GetEventSelectorsOutput_1.GetEventSelectorsOutput
    },
    errors: [
        {
            shape: TrailNotFoundException_1.TrailNotFoundException
        },
        {
            shape: InvalidTrailNameException_1.InvalidTrailNameException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        }
    ]
};
//# sourceMappingURL=GetEventSelectors.js.map