"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTrailInput = {
    type: "structure",
    required: ["Name", "S3BucketName"],
    members: {
        Name: {
            shape: {
                type: "string"
            }
        },
        S3BucketName: {
            shape: {
                type: "string"
            }
        },
        S3KeyPrefix: {
            shape: {
                type: "string"
            }
        },
        SnsTopicName: {
            shape: {
                type: "string"
            }
        },
        IncludeGlobalServiceEvents: {
            shape: {
                type: "boolean"
            }
        },
        IsMultiRegionTrail: {
            shape: {
                type: "boolean"
            }
        },
        EnableLogFileValidation: {
            shape: {
                type: "boolean"
            }
        },
        CloudWatchLogsLogGroupArn: {
            shape: {
                type: "string"
            }
        },
        CloudWatchLogsRoleArn: {
            shape: {
                type: "string"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        IsOrganizationTrail: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateTrailInput.js.map